local mod = RW:Boss("Golemagg the Incinerator", "Classic" , "Molten Core")
local L

mod.BossIcon = [[Interface\Icons\achievement_boss_ragnaros]]

---------------------------
-- Variables

local phase

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(11988)
	self:SetWin(11988)
	
	phase = self:PhaseMessage()
end

---------------------------
-- Locals
local p2warning

-- API Functions

function mod:OnEngage(trigger)
	self:RegisterEvent("UNIT_HEALTH")
	
	p2warning = false
end

function mod:UNIT_HEALTH(event, uID)
	local cID = self:CUIDFromUID(uID)
	if cID ~= 11988 then return end
	
	if UnitHealth(uID) / UnitMaxHealth(uID) < 0.10 and not p2warning then
		phase:Show(2)
		p2warning = true
	end
end
